from itertools import groupby
from natsort import natsorted

def is_int(i):
    return i.isdigit()

str_join = "".join

def nat_sort(strings):
    to_be_sorted = list()
    sorted_list = list()
    for list_elem in strings:
        nums = []
        chars = []

        for group_key, elems in groupby(list_elem, key=is_int):
            if group_key:
                nums = list(elems)
            else:
                chars = list(elems)

        to_be_sorted.append([str_join(chars),int(str_join(nums))])

    to_be_sorted.sort()

    for elems in to_be_sorted:
        elems[1] = str(elems[1])
        sorted_list.append(str_join(elems))

    return sorted_list


to_sort = [str_join(["eth",str(i)]) for i in reversed(xrange(100000))]

print nat_sort(to_sort)[-1]
#print natsorted(to_sort)[-1]
